package FixMyStreet::Cobrand::Erfurt;
use base 'FixMyStreet::Cobrand::Default';

use strict;
use warnings;
use utf8;

sub get_body_sender {
    my ( $self, $body, $problem ) = @_;
    return { method => 'Erfurt' };
}

# moderation feature for /report/ajax/2
sub problem_as_hashref {
    my $self = shift;
    my $problem = shift;

    my $hashref = $problem->as_hashref;

    if ( $problem->state eq 'unconfirmed' || $problem->state eq 'confirmed' ) {
        for my $var ( qw( photo is_fixed meta ) ) {
            delete $hashref->{ $var };
        }
        $hashref->{detail} = _('This report is awaiting moderation.');
        $hashref->{title} = _('This report is awaiting moderation.');
        $hashref->{banner_id} = 'closed';
    }

    return $hashref;
}

sub send_questionnaires { 0 }

sub pin_colour {
    my ( $self, $p, $context ) = @_;
    return 'green' if $p->is_fixed || $p->is_closed;
    return 'red' if $p->state eq 'unconfirmed' || $p->state eq 'confirmed';
    return 'yellow';
}

sub reports_per_page { return 20; }


sub tweak_all_reports_map {
    my $self = shift;
    my $c = shift;

    if ( !$c->stash->{ward} ) {
        $c->stash->{map}->{longitude} = 11.010494;
        $c->stash->{map}->{latitude} = 50.986665;
        $c->stash->{map}->{any_zoom} = 0;
        $c->stash->{map}->{zoom} = -1; # Achtung: zoom = 0 wird nicht verarbeitet, fällt auf default zurück. ungültige Eingabe setzt zoom auf kleine Stufe, daher zoom = -1
    }
}



1;
