---
layout: post
title: Version 1.1 - Bodies
author: matthew
---

<img class="r" src="/assets/posts/big-head-small.jpeg" width="320" height="240" alt="Big Beautiful Face Statue in Tenerife by epSos.de">

Today we're releasing **version 1.1** of the FixMyStreet platform. The [AMI](/install/ami/) has
been updated and the [install script](/install/install-script/) will automatically now install
this version.

The main change since version 1.0 is the addition of **bodies**. Historically,
FixMyStreet has assumed that the administrative areas that are returned from
MapIt are the same thing as the bodies to which the reports will be sent. This
has led over time to a number of workarounds when this hasn't been the case,
either in manual code changes in FixMyStreet or by adding new types to a MapIt
install, and dealing with it in that way.

We have updated the code so that FixMyStreet holds its own records of bodies to
which reports can be sent, and the MapIt area -- or areas -- that they cover.
This is conceptually much clearer, as well as making it much easier to have a
body covering multiple areas, an area with multiple bodies, or a combination.

Smaller functional changes in this release include admin improvements (it now
looks like the front end site, and has add a number of other additions), and a
couple of new configuration variables, `DO_NOT_REPLY_EMAIL` and
`SEND_REPORTS_ON_STAGING`, to make debugging a little easier, along with a
`--debug` option to send-reports. Also, we found on the [mailing
list](/community/) a couple of times that people ran into trouble because their
MapIt had debug turned on, and FixMyStreet didn't cope well with the debug
output MapIt included in its responses. This has now been fixed.

Many others of the commits in the past few months have been for various
installations of the codebase, from the forthcoming FixMyBarangay in the
Philippines to local UK council installs such as Oxfordshire or Bromley. These
have in many cases led to small improvements and bugfixes to the central
codebase, which can then be used by any reusers of the code.

Lastly, all the strings in the JavaScript are now translatable, along with a
few other strings that had previously been missed; do let us know if you
find any other strings that can't be translated and we'll look into it.

