---
layout: post
title: Version 2.0
author: matthew
---

<div class="r" align="right">
<a data-flickr-embed="true"  href="https://www.flickr.com/photos/nauright/4676220337/" title="bureau of street traffic"><img src="https://c2.staticflickr.com/5/4057/4676220337_fd38770a98.jpg" width="500" height="313" alt="bureau of street traffic"></a><script async src="//embedr.flickr.com/assets/client-code.js" charset="utf-8"></script>
</div>

We’re proud to announce the release of **version 2.0** of FixMyStreet.

This version contains a wide array of new features, including HTML email and
multiple state/category filtering, a new admin user system with graduated
permissions, and various bugfixes and development improvements.

Over the next few days and weeks, we will be writing a series of blog posts,
going into details about a number of the changes, which I hope will be of
interest. But before then, do [set up the code](/overview/) or update your
installation, and [ask us questions](/community/) :)

## New front end features

* <img src="/assets/posts/html-email-example.png" alt="" class="r">
**HTML email:**
There is now the option for all emails sent by FixMyStreet to be HTML formatted
where previously they were plain text only. This includes confirmation and
questionnaire emails to the user, and report emails to the public body. These
emails include any image added to the report, plus a small static map of the
problem's location.
<br style="clear:both">

* <img src="/assets/posts/multi-select.png" alt="" class="r">
**State/category filtering and sorting of list pages:**
When viewing a list of reports, you can now filter and sort them in pretty
much any way you choose, including sorting by most- or least-recently updated,
newest or oldest, or most commented. You can also select multiple categories
or states (e.g. "fixed").
<br style="clear:both">

* <img src="/assets/posts/area-highlighting-after.jpeg" alt="" class="r">
**Pretty area highlighting on body pages:**
The highlighting of areas on a body page has been inverted, so that the
unimportant parts of the map are shaded and you can interact more easily with
reports on the page.
<br style="clear:both">

* **Users can now update their own email address**
This was a frequent request from users and we're glad to report that they can
now do it themselves on their account page.

* <img src="/assets/posts/report-selected.png" alt="" class="r">
**Performance improvements:**
When looking at reports from a list page, the other report pins stay visible so
that it is easier to switch between them. The report itself is being pulled in
behind the scenes, meaning the whole page does not need to reload. The map no
longer extends underneath the sidebar and header, which makes things easier,
and a scroll wheel can now zoom the map in and out.
<br style="clear:both">

* <div class="r" style="height:280px;overflow:auto"><img src="/assets/posts/new-reporting-form.png" alt=""></div>
**Making privacy options clearer:**
The reporting form has been separated into public and private sections, to make
it clearer which parts of what you provide will be made visible on the site.

    **Showing the relevant recipient:** If you live in an area where there's
more than one body, the category you pick normally dictates which body we send
your report to. Now, when you select the category we update the name of the
body given at the top of the report page, if we know that the report will be
sent there.
<br style="clear:both">

## New admin user system

Admin users can now use the same log-in right across the site - whether they're
making a report like a standard user, or logging in to make edits and moderate
the site.

In the past, the distinction between admin and other users was black and white.
As an admin user, you had access to every part of the site, but users can now be
given individual permissions for various layers of access. These include:

* **Proxy users** This layer grants the ability to create a report or update on
  behalf of a body, or as another user. We envisage this being useful in a
  body's contact centre, where they receive a report over a phone and enter it
  into FixMyStreet as that user;
* **Report editors** Giving the power to edit a report's category, state, or
  location. If the admin user changes the category, and that change means that
  a different body is now responsible for the report, it will be re-sent;
* **List makers**, who can compile their own shortlist of reports they wish to
  go and inspect. This may be useful for a contractor or team who wishes to
  compile the day's tasks;
* **Quick responders** These users have access to response templates, allowing them
  to edit and publish templated updates;
* **Prioritisers** These users may set different priorities on reports;
* **Trusted users** A simple reputation system, which e.g. potentially lets
  reports from trusted users be actioned more quickly.

The admin report edit form has also been greatly improved, including a map
to update a report's location (and re-sending the report if the body changes),
and much tidier layout.

## Bugfixes and development changes

Bugfixes include updating the top-level domain (TLD) list for email validation,
hiding authorities which don't exist any more on the `/reports` page, and
fixing the previously-broken photo preview display after form submission. We
have dropped support for Internet Explorer 6.

If you're a re-user of the codebase, there are a number of changes that will
hopefully help you out. Geocoder results won't be cached in development, the
`UPLOAD_DIR` and `GEO_CACHE` variables are now relative to the project root,
we've added a server-side MapIt proxy, and you can add your own fields to the
contact form. Open311 support has been tidied up and improved. If you run the
tests, you can now run the test suite multiple times simultaneously, and the
tests have been sped up quite a bit.

Plus quite a few other things; as always, see the full list of changes
[over on GitHub](https://github.com/mysociety/fixmystreet/releases).

