---
layout: post
title: Version 2.0 – New user system
author: matthew
---

Version 2 launches a new user system for admins, including more granular
permissions and a variety of new features.

## Logging in

Admins can now use the same login system as the main front end. We highly
recommend running your site over HTTPS in order to keep credentials secure;
[LetsEncrypt](https://letsencrypt.org/) can supply free 3-month certificates.

The main admin user type is the 'superuser'; a user with this flag set (which
can be done in the database, or by running the `createsuperuser` command) has
full access to all areas of the admin, just like admins under the old system.
By default, these are the only types of user allowed to log in to `/admin`. (It
is possible to change this, e.g. in the UK, non-superuser admin users
associated with a body can log in to `/admin` on their own cobrand.)

## User permissions

<img class="r" src="/assets/posts/admin-user-permissions.png" alt="">

Users associated with a body (called 'body users') can be given a variety
of different feature-based permissions; the screenshot here shows the list
of different options.

* **Categories:** You can associate a user with a list of categories, which
e.g. pre-selects those categories when the user visits the All Reports page.

* **Response priorities:** This allows you to set a list of different
priorities for a body, or again for a particular category in a body,
letting you note different priorities for different reports.

* **Response templates:** You can create and edit templates associated with
your body, or with a particular category in that body, and then when leaving an
update you can select one of these templates to allow easy updating of reports.

* You can give a user access to a front-end **report 'inspect' view**, which
lets a user edit a report's category, state, or location. If the category
change moves the report to a different body, it will be re-sent. Alternatively,
a user can be given *only* category edit or priority edit permission.
Here is a screenshot of the top of an inspect form view:

<img src="/assets/posts/report-inspect.png" alt="The inspect form lets you change category, state, report location, and so on.">

## Create as another/body

This permission gives a user the ability to create a report or update on behalf
of a body, or as another user. We envisage this being useful in a body's
contact centre, where they receive a report over a phone and enter it into
FixMyStreet as that user. Below is a short animation showing this in action on
the Oxfordshire cobrand of FixMyStreet.com:

![Show an example of the create as another in action](https://cloud.githubusercontent.com/assets/739624/17371098/9a55c806-5996-11e6-9602-cf1cf58f8cdb.gif)

## Shortlists

<img class="l" src="https://cloud.githubusercontent.com/assets/739624/19122469/7fa927ba-8b22-11e6-8193-ef20d9ce496e.png" alt="">
A user with the shortlist permission gains a shortlist button on each report;
clicking this adds the report to your own personal shortlist of reports, which
you can view in a section of Your Account. This may be useful for an
'inspector' type of admin user, who wishes to compile the day's list of
reports before going out and investigating them. You can also see if a report
is on someone else's shortlist, and take it off them if you need to.
<br style="clear:both">
