---
layout: post
title: Version 2.0 – Improved forms
author: matthew
---

The new release of FixMyStreet includes a number of improvements to various
forms on the site. In this post, we will take a brief look at the notable
changes.

## Public reporting form

<img class="r" src="/assets/posts/new-reporting-form.png" alt="">

This form has been rejigged, in order to more obviously split out details that
will be public (e.g. photos, details) from those that will not be published on
the site (e.g. the user's email address and phone number). The category
selector has also moved to the top, and if the category chosen requires the
display of extra questions or information (e.g. through Open311 attributes or a
custom built asset layer), they will be shown immediately.

If a report is made in an area that is covered by more than one body, the
category the user selects will normally dictate which one the report is sent
to. Now, when the category is selected, we update the list of bodies given at
the top of the report page, if we know that the report will be sent there.

Talking about custom built asset layers, this is a good place to show how the
FixMyStreet codebase can be put to other uses, with a bit of development.

Angus Council in Scotland provide a WFS layer (that is, vector format geographic
information) containing the locations of all their streetlights, which
we display if the street lighting category is selected within Angus on FixMyStreet.

Importantly, it can display which lights Angus already knows are broken. If the
user is able to identify precisely which street light is affected, they can
click on it. But picking a street light isn't mandatory: we don't want to put
people off who aren't certain, or who are unable to select an individual light.
You can see an example of what this looks like on the Angus cobrand of
FixMyStreet.com below.

<img src="/assets/posts/angus-streetlights.png" alt="fix.angus.gov.uk shows individual street lights when the Street lighting category is selected.">

<br style="clear:both">

## Admin report editing

<img class="r" src="/assets/posts/admin-report-form-before.png" alt="">

Previously, the form for administrators to edit a report was functional, but
certainly nothing more than that! Due to the work we've done on the new user
system, more admin users may well be accessing this form in future, and so
we've taken the opportunity to make it much tidier.

It now looks much more like the front end of the site. We've added a map that
lets you move the location of the report, tidied up the various functions an
admin can perform, and so on. If a category change means the report should have
been sent to a different body, it will be re-sent.

<img src="/assets/posts/admin-report-form-after.png" alt="">

## Admin category editing

This was a historical oddity, in that the Add category form and the Edit
category form were completely separate creatures, though both contained the
same fields, and were used for basically the same purpose:

<img src="/assets/posts/admin-category-add-before.png" alt="" class="l" style="max-width:45%">
<img src="/assets/posts/admin-category-edit-before.png" alt="" class="r" style="max-width:45%">
<br style="clear:both">

<img src="/assets/posts/admin-category-edit-after.png" alt="" class="r">
You can see how they looked different in the screenshots above. They now share
an HTML template, which also makes it easier for us to update should it need
changing in future.

<br style="clear:both">

