---
layout: post
title: Version 2.2
author: matthew
---

<div class="r" align="right">
<a data-flickr-embed="true"  href="https://www.flickr.com/photos/_chrisuk/6621444233/" title="Pothole"><img src="https://farm8.staticflickr.com/7155/6621444233_d109d69b26_z.jpg" width="640" height="360" alt="Pothole"></a><script async src="//embedr.flickr.com/assets/client-code.js" charset="utf-8"></script>
</div>

Today we have released **version 2.2** of FixMyStreet, with some new features,
some bugfixes, and other improvements.

* At long last, **body and category names can be translated** in the admin
interface, letting you easily run sites in multiple languages without having to
perform various amounts of custom work;

* **Report states can now be edited** (and translated) in the admin interface, if
you wish to have different options for the specific workflow of your site. If
you want to have a closed state of "object removed", now you can;

* Also through the admin interface you can now **add extra fields** to be
  shown in the reporting form, letting you ask custom questions for your
installation without needing to edit any code or templates.

All the above improvements were funded by [NDI](https://www.ndi.org/) as part
of their FixMyCommunity project; thanks very much to them.

<hr>

Staff users can now create reports on behalf of people anonymously, and have
more filters on report list pages; new configuration options allow you to limit
your site to logged-in users only, or prevent new users from using the site.

The email alerts page has had some work to improve its clarity, and some work
has gone into improving the performance of various pages. Some deep diving into
SQL queries led to some notable cases where things could be sped up, and we
also found one place (listing nearby duplicate reports for staff users) where
the database was being queried at a radius of 1000km, rather than 1km :)

One notable bugfix is if you logged in during the reporting process, or had a
server side error, your photo thumbnails weren't being redisplayed correctly
(though the photo itself was stored fine) due to change in the image library
we use – everything should now be okay.

Lastly, if you're developing on the code, we have added a debug toolbar
(similar to the Django Debug Toolbar, if you're familiar with that) which lets
you see which templates have been used, what SQL queries have been made, what
external requests, and so on. This is automatically enabled when you run the
development server.

[Full changelog](https://github.com/mysociety/fixmystreet/releases/tag/v2.2)

