---
layout: post
title: Version 2.3
author: matthew
---

<div class="r" align="right">
<a data-flickr-embed="true"  href="https://www.flickr.com/photos/ursonate/9072504686" title="IMG_20130617_072808.jpg"><img src="https://farm6.staticflickr.com/5491/9072504686_8f948925c4.jpg" width="375" height="500" alt="IMG_20130617_072808.jpg"></a><script async src="//embedr.flickr.com/assets/client-code.js" charset="utf-8"></script>
</div>

Today we have released **version 2.3** of FixMyStreet.

The major new feature in this release is adding <strong>confirmation by phone
text</strong> instead of email, via Twilio, to allow optional verification of
reports and updates, and logging in.

Alongside that, there have been numerous front end improvements and bugfixes.
Front end improvements include <strong>paginating reports</strong> everywhere,
making sure all maps can be expanded on mobile, the pin loading indicator no
longer covering the whole map whilst pins are loading, and improved location
disambiguation on small screens.

Some effort has gone into <strong>improving performance</strong> of various
pages, especially the front page, reducing the amount of JavaScript loaded,
replacing our image sprite with more SVG assets, and switching to modern
prefetch. <a href="https://www.fixmystreet.com/">fixmystreet.com</a> goes a
step further by inlining critical CSS on the front page so no external requests
are needed to show the start of the site. You can read more about this process
<a href="https://www.mysociety.org/2017/11/24/peak-performance/">on the
mySociety blog</a>.

We now support <strong>Open311 category groups</strong>, and if we fetch
updates via Open311, we can use auto-response templates to fill in updates
without their own description.

Lastly, the <strong>dashboard and statistics</strong> have been streamlined and
improved, and are all now available under <code>/dashboard</code>. This now
includes lookup by date range, ward, category or state, and the CSV export uses
machine-readable dates and is accessible via token-based authentication.

### Bugfixes 

The number of updates on <a
href="https://www.fixmystreet.com/">fixmystreet.com</a> hit a million! So we
made sure large numbers don't overflow on the homepage. Also, multiple 'Expand
map' links should no longer trouble your maps on mobile; with JavaScript off,
the pins should no longer be double the size they're meant to be; and also some
bad interaction between the list filters and the back button has been fixed.

Staff users got a number of bugfixes to their interfaces, including making sure
reports could always be removed from your shortlist (even if they've switched
body), only creating one update when changing category, and making sure the
text-only contacts output was indeed text, not HTML.

[Full changelog](https://github.com/mysociety/fixmystreet/releases/tag/v2.3)

