---
layout: post
title: Version 3.0.1
author: matthew
---

<div class="r" align="right">
</div>

First of all, I hope you are all safe wherever you may be. We held a couple of
FixMyStreet user groups recently for body users of FixMyStreet in the UK, and
someone from a large body said that their FixMyStreet installation was proving
really useful in these times, as they were making far fewer internal reports
due to the UK lockdown.

Admist all this, we continue to develop the software, and today are releasing
**version 3.0.1**, a bugfix release with a couple of new features.

### Admin improvements

You can now provide an automatic initial update on reports made in a particular
category to a particular body, perhaps to provide information on timings or
similar. Make sure the body has a user to associate comments with, and then add
a response template in the Open state with auto-response checked, restricted to
a list of categories if you wish. After that, the template will be used to
provide an initial update on new reports made.

We have also added "staff-only" categories, which are categories that staff
users can see but normal users cannot. One council is using this to provide
emergency categories that their contact centre staff can use to make reports
after manual triage.

The dashboard export and report search should now be quicker, after some
investigation that area. We've also moved the overall stats off the index page
to the stats page, so the index page loads more quickly.

### Bugfixes

Thanks to those of you letting us know about bugs or problems. Those we have
fixed include an incorrect To header on emails about inactive accounts, a
couple of issues with the front page recent reports list showing different
results depending on whether the cache was used or not, and a double escape in
the Google Maps URL.

Others we have fixed include maintaining the category group on pin move with
same category in multiple groups, and fixing sorting by most commented on
the `/around` map view.

### Development improvements

As well as the cron scripts, this release now includes a d&aelig;mon that you
can use to send reports and updates. Using the d&aelig;mon will mean reports
and updates are sent almost immediately after they are confirmed, but will
require a bit more setup, as you'll need to set it up as a d&aelig;mon running
all the time in your system. We've provided an example config file for systemd
to hopefully help with that. If you do run the d&aelig;mon, be sure to remove
the lines of your crontab that send reports and updates :)

Alongside that, `send-reports` no longer prints out failures in verbose mode,
there is a separate `send-reports-failure-summary` script to do that. Also the
fetch-comments and fetch-reports scripts have been consolidated into one
`fetch` script, which can also now parallelize fetching.

### Upgrading

A full list of changes can be seen in the
[changelog](https://github.com/mysociety/fixmystreet/releases/tag/v3.0.1) as usual.

