---
layout: post
title: Version 4.0
author: matthew
---

<div class="r" align="right">
<a data-flickr-embed="true" href="https://www.flickr.com/photos/wwarby/1580431681/" title="Westminster Bridge"><img src="https://live.staticflickr.com/2034/1580431681_388dc2671d.jpg" width="500" height="375" alt="Westminster Bridge"></a><script async src="//embedr.flickr.com/assets/client-code.js" charset="utf-8"></script>
</div>

Well, 2021 has certainly been a year, hasn’t it. Apologies for the delay
between releases, but we are now releasing **version 4.0**, with a number of
new features, outlined below. For those who don't want to update immediately,
we are also releasing **version 3.1.1** as an update to 3.1 including a number
of bugfixes and the update necessary to deal with issues caused by the rollover
of the Let’s Encrypt root certificate.

### Multi-page reporting form

The main change in this release is the move to a multi-page reporting form,
where you pick the category first, then the subcategory if relevant, any extra
questions for that category, photos, problem details, and then user details
last. Research shows people find a form easier to fill in this way, and it
makes it clearer what is expected at each step of the process. We have also
switched from a category drop-down to radio buttons, as this is easier to use,
especially on mobile.

<p align="center"><img src="/assets/posts/v4-category.jpg"></p>

### Photo redaction

We have added photo redaction support, letting you moderate parts of a photo
that should not be public without removing the whole photo, and photos can also
be moderated individually.

<p align="center"><img src="/assets/posts/v4-redaction.gif" width="50%"></p>

### Development Docker environment

We now include a development Docker environment, which should hopefully make it
easier for people to spin up a local copy of the code for development. If you
have Docker and Docker Compose installed, a fresh clone and then
`docker/compose-dev up` should set everything up for you.

### Other improvements

You can now specify a radius when signing up for an email alert, the mobile
site has an improved navigation menu, users can set global notification
preferences, and the search box supports Maidenhead Locator references.

A few admin pages have had their layout improved, and you can now customise
hints on a per-category basis. The CSV export includes device type, staff
can find non-public reports when using the front page ID search, and user login
attempts can be throttled per user.

The alert script has been split up, so you can e.g. choose to send local alerts
at a different frequency to update alerts.

### Bugfixes

As always, we have fixed a number of issues that have arisen – for example, if
a category has more than 10 extra questions, they should now be sorted in the
correct order, there was a bug in update text moderation, and categories with
slashes in no longer break the CSV export.

### Upgrading

A full list of changes can be seen in the
[v4.0 changelog](https://github.com/mysociety/fixmystreet/releases/tag/v4.0)
or
[v3.1.1 changelog](https://github.com/mysociety/fixmystreet/releases/tag/v3.1.1)
as usual.
