---
layout: landing
title: Welcome
---

<nav class="bg-default">
  <div class="container">
    <ul class="primary-nav">
      <li><a href="{{ "/overview/" | relative_url }}">Documentation</a></li>
      <li><a href="{{ "/how-it-works/" | relative_url }}">How it works</a></li>
      <li><a href="https://github.com/mysociety/fixmystreet">GitHub</a></li>
      <li><a href="{{ "/community/" | relative_url }}">Contact us</a></li>
    </ul>
  </div>
</nav>


<div class="container">
  <div class="homepage-feature spacer-top">
    <div class="column">
      <div class="monitor">
        <div id="owl-slide" class="owl-carousel">
          <div>
           <a href="https://www.zueriwieneu.ch/">
            <img src="/assets/img/tn1.png">
            <div class='owl__gap'>
              <h3>Züri wie neu</h3>
              <p>Run by Stadt Z&uuml;rich, Switzerland</p>
            </div>
           </a>
          </div>
          <div>
           <a href="http://www.fixamingata.se/">
            <img src="/assets/img/tn2.png">
            <div class='owl__gap'>
              <h3>Fixa min gata</h3>
              <p>Run by KIVOS, Sweden</p>
            </div>
           </a>
          </div>
          <div>
           <a href="https://aduanku.my/">
            <img src="/assets/img/tn3.png">
            <div class='owl__gap'>
              <h3>AduanKu.my</h3>
              <p>Run by Sinar Project, Malaysia</p>
            </div>
           </a>
          </div>
        </div>
      </div>
    </div>

    <div class="column">
      <h1 class="secondary-heading title">
        Run a website like FixMyStreet in your country or city, for free
      </h1>
      <p>
        With FixMyStreet Platform you can easily launch a website that helps
        people to report street problems like potholes and broken street
        lights. Problem reports are then sent to authorities for fixing.
      </p>
      <p>
        In the wrong place? You might want to
        <a href="https://www.fixmystreet.com/">report problems in the UK</a>;
        or to learn about
        <a href="https://www.fixmystreet.com/council">FixMyStreet
        for local governments</a>. FixMyStreet Platform is for citizens who
        want to run their own sites. Welcome!
      </p>
    </div>
  </div>
</div>


<div class="bg-default spacer-top">
  <div class="container">
    <ul class="summary-of-features">
      <li>
        <div class="circle-icon icon-opensource">&nbsp;</div>
        <h3>Free software</h3>
        <p>Using open source technologies</p>
      </li>
      <li>
        <div class="circle-icon icon-paint">&nbsp;</div>
        <h3>Brandable</h3>
        <p>Add your own colour, fonts and logos</p>
      </li>
      <li>
        <div class="circle-icon icon-help">&nbsp;</div>
        <h3>Friendly support</h3>
        <p>Backup from mySociety and a strong community</p>
      </li>
      <li>
        <div class="circle-icon icon-world">&nbsp;</div>
        <h3>Many languages</h3>
        <p>Use existing languages, or add your own</p>
      </li>
    </ul>
  </div>
</div>

<div class="container">
  <h2 class="text--center spacer-top primary-heading title">Let&rsquo;s get started</h2>

  <div class="this-or-this">
    <div class="column">
      <h3 class="secondary-heading spacer-top title">Learn more</h3>
      <p class="tertiary-heading">Get your FixMyStreet <br>site up and running</p>
      <ul class="action-buttons spacer-top">
        <li><a href="{{ "/install/" | relative_url }}" class="btn--green"><i class="icon icon-download">&nbsp;</i> Install</a></li>
        <li><a href="{{ "/overview/" | relative_url }}" class="btn--green"><i class="icon icon-document">&nbsp;</i> Docs</a></li>
        <li><a href="https://github.com/mysociety/fixmystreet" class="btn--green"><i class="icon icon-github">&nbsp;</i> GitHub</a></li>
        <li><a href="https://github.com/mysociety/fixmystreet/blob/master/LICENSE.txt" class="btn--green"><i class="icon icon-document">&nbsp;</i> Licence Info</a></li>
      </ul>
    </div>
    <div class="column">
      <h3 class="secondary-heading spacer-top title">Get in touch</h3>
      <p class="tertiary-heading">Say hello, we&rsquo;ll help you make <br>your new site awesome</p>
      <ul class="action-buttons spacer-top">
        <li><a href="https://github.com/mysociety/fixmystreet" class="btn--blue"><i class="icon icon-github">&nbsp;</i> GitHub</a></li>
        <li><a href="https://twitter.com/fixmystreet" class="btn--blue"><i class="icon icon-twitter">&nbsp;</i> Follow us</a></li>
        <li><a href="{{ "/community/" | relative_url }}" class="btn--blue"><i class="icon icon-post">&nbsp;</i> Mailing list</a></li>
      </ul>
    </div>
  </div>
</div>



