---
layout: page
title: Installing
---

# Installing FixMyStreet Platform

<p class="lead">
  There are several options for installing the FixMyStreet platform,
  including Docker, an AMI for Amazon EC2 or an installation script.
</p>

## Ways to install

* [Use Docker for development]({{ "/install/docker-develop/" | relative_url }})
* [Use Docker for deployment]({{ "/install/docker-deploy/" | relative_url }})
* [Use an install script for Debian or Ubuntu servers]({{ "/install/install-script/" | relative_url }})
* [Use a FixMyStreet AMI for Amazon EC2]({{ "/install/ami/" | relative_url }})
* [Vagrant installation]({{ "/install/vagrant/" | relative_url }}), for development
* [Install the software manually]({{ "/install/manual-install/" | relative_url }})

FixMyStreet is a web application written in Perl, using the Catalyst framework.
Installation deploys the core code and also manages its dependencies.

If you're not technical, this can be a little daunting &mdash; if you haven't
already done so, [get in touch]({{ "/community" | relative_url }}) and ask for help.

Please also see the instructions for [updating your code](/updating/) once it's installed.
