---
layout: page
title: Documentation
---

Welcome to FixMyStreet Platform
===============================

<p class="lead">
  mySociety's open source geographic problem-reporting platform
</p>
<div class="homepage-feature">
  <div class="column">
    <h3>Install</h3>
    <p>
      Begin with the <a href="/install/">installation documentation</a>. Put
      FixMyStreet on your own Debian/Ubuntu server, or on Amazon EC2.
    </p>
  </div>
  <div class="column">
    <h3>Customise</h3>
    <p>
      FixMyStreet is <a href="/customising/">fully customisable</a> &mdash;
      change the style, layout, maps, and behaviour of your installation.
      It's international too: if FixMyStreet is not already available in your
      language, you don't need any hard-core coding skills to provide a new
      translation.
    </p>
  </div>
</div>
<div class="homepage-feature">
  <div class="column">
    <h3>Run</h3>
    <p>
      Our <a href="/running">information for administrators</a> covers
      everything you need to do once your FixMyStreet site is up and running.
      Help is available on everything from defining <a href="/glossary/#area"
      class="glossary__link">admin boundaries</a> to writing common user support
      emails.
    </p>
  </div>
  <div class="column">
    <h3>Join in or get help</h3>
    <p>
      There's a friendly <a href="/community/">community</a> comprising
      full-time mySociety staff, international volunteers, and <em>people like
      you</em> who are already running their own FixMyStreet sites in their own
      countries. They're happy to offer technical and non-technical support
      &mdash; jump in and join!
    </p>
  </div>
</div>

About the FixMyStreet Platform
------------------------------

The FixMyStreet Platform is an open source project from
[mySociety](https://www.mysociety.org) to help people run websites for
reporting common street problems such as potholes and broken street lights to
an appropriate authority. It's been [running successfully in the
UK](https://www.fixmystreet.com) since 2007 (in fact, it works so well some UK
councils use it too), and we're still working on making it better.

FixMyStreet has been copied around the world, and is still under
<strong>active development</strong>. We work hard to make sure it's easy to
deploy, customise, and run in locations all over the world.

Could your location use a FixMyStreet site?
-------------------------------------------

<!-- NB duplicated this in how-it-works.md too -->
We've written a clear guide for anyone who's thinking about [setting up and
running FixMyStreet]({{ "/The-FixMyStreet-Platform-DIY-Guide-v1.1.pdf" | relative_url }}). Anyone
thinking of running such a project **must** read it first -- it explains why
these sites work, and what you need to think about before you start.

If you're thinking of getting involved, we welcome questions about how it
works [on our mailing
list](https://groups.google.com/a/mysociety.org/forum/#!forum/fixmystreet).

There's also the [FixMyStreet blog](blog/) where we post version release
information and other progress reports. And we often post FixMyStreet news on
the <a href="https://www.mysociety.org/blog/">mySociety blog</a> too.
