---
layout: pro
title: What is FixMyStreet Pro?
order: 1
user-guide: true
category: user-guide
---

# What is FixMyStreet Pro?

FixMyStreet Pro is the citizen-centred, configurable street reporting solution that meets the real life needs of council staff.

By making it easier to report problems online, the service helps councils to achieve channel shift, create savings and improve the user experience for both citizens and staff.

<img alt="This is FixMyStreet Pro" src="/assets/img/pro-user-guide/all-the-sites.png" />

## History and background

FixMyStreet Pro is a service for councils run by SocietyWorks. The service grew out of the website FixMyStreet.com, which was set up in 2007 by the not-for-profit organisation mySociety, to which SocietyWorks belongs. Still running today, FixMyStreet.com ​makes it simple for any citizen to report a public street issue, such as graffiti, broken streetlights, unsafe paving, highways maintenance or potholes. It covers the whole of the UK.

Reports made through FixMyStreet.com are published on the website and sent — primarily by email — to the correct UK council for resolution. Councils do not need to have purchased FixMyStreet Pro in order to receive these reports, but FixMyStreet Pro adds enhanced functionality for staff users, as well as the ability to integrate a tailored version of FixMyStreet on the council website as their fault reporting interface.

## Why councils love FixMyStreet Pro

- It <b>reduces duplicate reports</b> by automatically suggesting existing nearby reports to citizens on the map, which they can then subscribe to instead of double-reporting
- <b>Channel shift is guaranteed</b> with a digital front door to street and highways reporting that anyone can use 
- It's <b>not just an app</b>. As a responsive web app, FixMyStreet Pro is optimised to work across all devices, without leaving any older devices behind
- A closed feedback loop helps you to avoid costly follow up calls and <b>improve customer satisfaction</b> by implementing automated updates. Inspectors can even upload photos to visually show the citizen how their issue’s been fixed
- <b>Seamless integration into case management systems</b> allows you to eliminate manual processes and improve the flow of data. You might even be able to get rid of some of your current legacy software
- <b>Breeze through seasonal demand</b> by adding or removing categories as the need arises, set templated responses and route each report to the correct team

## FixMyStreet Pro’s features for council staff

-  A FixMyStreet instance for the council website, providing the council's fault-reporting
interface, and branded to look like the rest of the site
-  A variety of permissions which can be allocated to staff at a granular level, and grouped into custom roles
-  Simple channels of communication with report makers, through status updates and
template responses
-  The ability to moderate, edit or remove reports
-  Statistical breakdowns of reports

Depending on which type of installation the council has opted for, there may also be access to:
-  Integration with the council’s existing systems, including CRM tools
-  The ability to view and update reports even when offline
-  Workflow prioritisation and shortlist generation
-  The integration of council-owned assets, such as bins or streetlights, into the map
interface

## Why residents love using FixMyStreet
-  A strong focus on usability, with an interface that practically anyone can use and
understand;
-  No knowledge required as to which council is responsible for a report: the website sends
reports to the correct authority based on the category and location selected;
-  Reports are published online, building up a picture of issues in the area, so it’s easy to see
recurrent problems and resolution rates.
There are benefits for councils, too:
-  Reports are sent to the correct authority, based on category and location;
-  Because reports are published online, residents can easily see if an issue has been
reported before, helping cut down on duplicates;
-  The site gives residents a clear illustration of the often otherwise hidden work the council
has been doing to improve neighbourhoods and communities.

## Built around you

When you adopt FixMyStreet Pro, you're not just implementing a cut and paste product. First, we'll take the time to understand yours and your residents' needs. Then, we'll work together to install the service that's right for you, complete with integration into any and all lines of business you require. Long after installation, we'll continue to collaborate with you on FixMyStreet Pro's continuous development roadmap.

## Ready to take the next step?

<a href="https://www.societyworks.org/contact/">Get in touch</a> to request a live one-to-one demo of FixMyStreet Pro and find out more about how the service could work for you. 

