---
layout: pro
title: FixMyStreet Pro staff user accounts
order: 4
user-guide: true
categories: user-guide
---

# FixMyStreet Pro staff user accounts

Now you know how FixMyStreet works from the residents’ point of view, it’s time to look at how
staff can access and use the admin tools.

## Logging in

Council staff accounts are managed by Administrator-level users.

Contact your Administrator/s if you encounter any problems logging in, or any other aspect of
account management.

### How to log in

Go to your council’s FixMyStreet installation, click on ‘sign in’, and enter your council email
address.

You’ll be invited to enter your password if you already have one (i.e, if you have an existing
FixMyStreet account associated with this email address). If not, go to ‘No, let me sign in by email’.

Decide on a password and enter it in the password box, then click ‘sign in’. A confirmation email
will be sent to the email address you provided.

### Password security

Your password must contain 6 or more characters, and must not be one of the most commonly
used combinations (such as ‘Password’ or ‘123456’). Your council may also have password policies
which you are expected to abide by.

### Two-factor authentication

Any staff user can choose to set up two-factor authentication on their account.
To do this, they will need an app on their phone that can generate time-based
authentication keys, such as Google Authenticator or a password manager. Then.
they can visit their account page on the site and select ‘Activate two-factor
authentication’ to receive a QR code to scan with the app.

If you wish your organisation to have mandated two-factor authentication,
please get in touch.

### How to log out

Click on ‘Your account’ in the top menu, then click ‘Sign out’.
If you are using a device or computer that is shared with others, we advise always logging out at
the end of your session.

## Changing your password

You can change your password at any time by clicking on ‘Your account’ in the top menu bar.


## Permissions and Roles

Staff accounts can be assigned a variety of permissions or roles, depending on
each team member’s needs or responsibilities. Permissions can be combined in
any way, grouped into custom roles, or applied individually.

Some common staff roles and the appropriate permissions are shown in the table below, but you
can tailor your permissions and roles to best reflect your team’s operations.


<table class="table table--responsive">
<thead>
    <tr>
        <th></th>
        <th scope="col">Customer Services</th>
        <th scope="col">Inspectors</th>
        <th scope="col">Internal maintenance teams</th>
        <th scope="col">Administrators</th>
    </tr>
</thead>
<tbody>
    <tr>
        <th scope="row">View all reports across the council area</th>
        <td data-label="Customer Services"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
        <td data-label="Inspectors"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
        <td data-label="Internal maintenance teams"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
        <td data-label="Administrators"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
    </tr>
    <tr>
        <th scope="row">View a single report</th>
        <td data-label="Customer Services"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
        <td data-label="Inspectors"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
        <td data-label="Internal maintenance teams"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
        <td data-label="Administrators"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
    </tr>
    <tr>
        <th scope="row">Acknowledge a report</th>
        <td data-label="Customer Services"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
        <td data-label="Inspectors"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
        <td data-label="Internal maintenance teams"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
        <td data-label="Administrators"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
    </tr>
    <tr>
        <th scope="row">Provide an update on a report</th>
        <td data-label="Customer Services"><i class="boolean-icon boolean-icon--no">No</i></td>
        <td data-label="Inspectors"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
        <td data-label="Internal maintenance teams"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
        <td data-label="Administrators"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
    </tr>
    <tr>
        <th scope="row">Create reports on another user’s behalf</th>
        <td data-label="Customer Services"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
        <td data-label="Inspectors"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
        <td data-label="Internal maintenance teams"><i class="boolean-icon boolean-icon--no">No</i></td>
        <td data-label="Administrators"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
    </tr>
    <tr>
        <th scope="row">Prioritise a report</th>
        <td data-label="Customer Services"><i class="boolean-icon boolean-icon--no">No</i></td>
        <td data-label="Inspectors"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
        <td data-label="Internal maintenance teams"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
        <td data-label="Administrators"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
    </tr>
    <tr>
        <th scope="row">Moderate a report</th>
        <td data-label="Customer Services"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
        <td data-label="Inspectors"><i class="boolean-icon boolean-icon--no">No</i></td>
        <td data-label="Internal maintenance teams"><i class="boolean-icon boolean-icon--no">No</i></td>
        <td data-label="Administrators"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
    </tr>
    <tr>
        <th scope="row">Hide a report</th>
        <td data-label="Customer Services"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
        <td data-label="Inspectors"><i class="boolean-icon boolean-icon--no">No</i></td>
        <td data-label="Internal maintenance teams"><i class="boolean-icon boolean-icon--no">No</i></td>
        <td data-label="Administrators"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
    </tr>
    <tr>
        <th scope="row">Update a report’s status</th>
        <td data-label="Customer Services"><i class="boolean-icon boolean-icon--no">No</i></td>
        <td data-label="Inspectors"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
        <td data-label="Internal maintenance teams"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
        <td data-label="Administrators"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
    </tr>
    <tr>
        <th scope="row">Ask for more information</th>
        <td data-label="Customer Services"><i class="boolean-icon boolean-icon--no">No</i></td>
        <td data-label="Inspectors"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
        <td data-label="Internal maintenance teams"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
        <td data-label="Administrators"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
    </tr>
    <tr>
        <th scope="row">Use template responses</th>
        <td data-label="Customer Services"><i class="boolean-icon boolean-icon--no">No</i></td>
        <td data-label="Inspectors"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
        <td data-label="Internal maintenance teams"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
        <td data-label="Administrators"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
    </tr>
    <tr>
        <th scope="row">Create template responses</th>
        <td data-label="Customer Services"><i class="boolean-icon boolean-icon--no">No</i></td>
        <td data-label="Inspectors"><i class="boolean-icon boolean-icon--no">No</i></td>
        <td data-label="Internal maintenance teams"><i class="boolean-icon boolean-icon--no">No</i></td>
        <td data-label="Administrators"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
    </tr>
    <tr>
        <th scope="row">Make a shortlist</th>
        <td data-label="Customer Services"><i class="boolean-icon boolean-icon--no">No</i></td>
        <td data-label="Inspectors"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
        <td data-label="Internal maintenance teams"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
        <td data-label="Administrators"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
    </tr>
    <tr>
        <th scope="row">View reports offline</th>
        <td data-label="Customer Services"><i class="boolean-icon boolean-icon--no">No</i></td>
        <td data-label="Inspectors"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
        <td data-label="Internal maintenance teams"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
        <td data-label="Administrators"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
    </tr>
    <tr>
        <th scope="row">Manage staff accounts</th>
        <td data-label="Customer Services"><i class="boolean-icon boolean-icon--no">No</i></td>
        <td data-label="Inspectors"><i class="boolean-icon boolean-icon--no">No</i></td>
        <td data-label="Internal maintenance teams"><i class="boolean-icon boolean-icon--no">No</i></td>
        <td data-label="Administrators"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
    </tr>
    <tr>
        <th scope="row">Set categories</th>
        <td data-label="Customer Services"><i class="boolean-icon boolean-icon--no">No</i></td>
        <td data-label="Inspectors"><i class="boolean-icon boolean-icon--no">No</i></td>
        <td data-label="Internal maintenance teams"><i class="boolean-icon boolean-icon--no">No</i></td>
        <td data-label="Administrators"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
    </tr>
    <tr>
        <th scope="row">Access dashboard: summary, timeline, stats</th>
        <td data-label="Customer Services"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
        <td data-label="Inspectors"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
        <td data-label="Internal maintenance teams"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
        <td data-label="Administrators"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
    </tr>
    <tr>
        <th scope="row">Set priority parameters</th>
        <td data-label="Customer Services"><i class="boolean-icon boolean-icon--no">No</i></td>
        <td data-label="Inspectors"><i class="boolean-icon boolean-icon--no">No</i></td>
        <td data-label="Internal maintenance teams"><i class="boolean-icon boolean-icon--no">No</i></td>
        <td data-label="Administrators"><i class="boolean-icon boolean-icon--yes">Yes</i></td>
    </tr>
</tbody>
</table>
