---
layout: page
title: Example press releases
author: myf+dave
---

# Example press releases

Here are templates for two types of press release: one [for national
media](#national) and one [for local media](#local). These templates show you
what to include in a standard press release.

Adapt the wording so that it’s suitable for your project — or of course, you
may wish to write your own press releases from scratch.

Then send it to your media contacts, as described in our 
[guide to promoting FixMyStreet]({{ "/running/promotion" | relative_url }}).

It’s best to copy and paste the text into the body of an email, rather than
send it as an attachment: journalists say that they are far more likely to read
an email than an attachment.

<a name="national">&nbsp;</a>

## Press release 1: For national media

<input type="button" class="toggle-button" value="Show/hide explanations" data-target="national-press-release"/>

<div class="mock-document" id="national-press-release">
  <div class="attention-box helpful-hint">
    <p>
      Headline: Put a large headline at the top; you can also use the same
      wording as the title of your emails, prefaced by the words: PRESS RELEASE.
    </p>
    <p>
      You don’t have to use this sentence, but try to think of a short
      statement that will attract journalists’ attention as well as explaining
      what your site will do.
    </p>
  </div>

  <h2><span class="replace-text">[Your site’s name]</span>: a new way to get your community fixed</h2>

  <div class="attention-box helpful-hint">
    <p>
      If you would like to send your press release before launch, to give
      journalists a little time to write their story, include an embargo
      date/time. That means they won’t publish anything until this date.
      Typically embargo times are given as 12:01am.
    </p>
  </div>
  <h3>EMBARGO: <span class="replace-text">[Date/time]</span></h3>

  <div class="attention-box helpful-hint">
    <p>
      Include the URL of your FixMyStreet site, and any other URL that’s
      useful, eg your organisation’s website.
    </p>
  </div>
  <h3>LINK/S: <span class="replace-text">[URLs]</span></h3>
    
  <div class="attention-box helpful-hint">
    <p>
      Your name and email address/phone number
    </p>
  </div>
  <h3>CONTACT: <span class="replace-text">[hello@example.org]</span></h3>

  <div class="attention-box helpful-hint">
    <p>
      Three or four bullet points which summarise the main content of the press
      release. If you have a quote from a councillor or mayor, so much the
      better, but if not, it’s fine to quote yourself.
    </p>
  </div>
  <uL>
    <li>
      <span class="replace-text">[Name of site]</span> launches today
    </li>
  </uL>
  
  <div class="attention-box helpful-hint">
    <p>
      List the most common problems in your own country:
    </p>
  </div>
  
  <ul>
    <li>
      Report potholes, broken pavements and other community problems to the
      authorities responsible for getting them fixed
    </li>
  </ul>
  <ul>
    <li>
      “A revolution in citizen to government communication” says founder
    </li>
  </ul>

  <div class="attention-box helpful-hint">
    <p>
      This is the main body of your press release. Keep it fairly succinct:
      5&ndash;10 paragraphs of 1&ndash;2 sentences each is plenty. You can, of
      course, alter the text to make it more appropriate to your country’s own
      circumstances.
    </p>
  </div>

  <p>
    <span class="replace-text">[Name of your site]</span>, a new and simple way
    for citizens to report street faults, launches today.
  </p>
  <p>
    Most people know that it’s the council’s job to fix problems like potholes,
    dangerous pavements or broken street lights. But reporting such problems
    can often be a difficult task. People don’t always know which council area
    they are in. Even if they do, they’re often faced with a lack of
    information online, or hard-to-navigate web forms.
  </p>
  <p>
    Now, a new website simplifies the process for people in <span
    class="replace-text">[name of your country or the area that your site
    covers]</span>.
  </p>
  <p>
    With <span class="replace-text">[name of your site]</span>, a project from
    <span class="replace-text">[your organisation]</span>, all the user has to
    do is put a pin in a map to show where the problem is, then add a few lines
    of text to describe the issue. Optionally, they can also add a photo.
  </p>
  <p>
    <span class="replace-text">[Name of site]</span> sends the issue to the
    right department of the right council: the user doesn’t even have to know
    which jurisdiction they are in. From the council’s side, responding to the
    problem report is as simple as replying to any other email.
  </p>
  <p>
    Reports are already flooding in, including <span class="replace-text">[list
    some interesting existing reports, with links]</span>.
  </p>
  <p>
    <span class="replace-text">[Name of site]</span> also publishes all reports
    online, eventually building into a rich resource showing what the prevalent
    types of problem are in any area. The site uses the FixMyStreet Platform
    open source software, which has proven effective in the UK and across more
    than 20 other countries around the world.
  </p>
  <p>
    <span class="replace-text">[Your name]</span>, <span
    class="replace-text">[your job title or description]</span>, says, “<span
    class="replace-text">[add a quote here]</span>”.
  </p>
  <p>
    <span class="replace-text">[Name of site]</span> is ready to send off your
    street fault reports: give it a try at <span
    class="replace-text">[URL]</span>.
  </p>
</div>

<a name="local">&nbsp;</a>

## Press release 2: For regional/local media

<input type="button" class="toggle-button" value="Show/hide explanations" data-target="local-press-release"/>

<div class="mock-document" id="local-press-release">
  <div class="attention-box helpful-hint">
    <p>  
      Headline: Put a large headline at the top; you can also use the same
      wording as the title of your emails, prefaced by the words: PRESS RELEASE.
    </p>
    <p>
      You don’t have to use this sentence, but try to think of a short
      statement that will attract journalists’ attention as well as explaining
      what your site will do. Include the name of the local area so they can
      see how relevant it is to their audience.
    </p>
  </div>
  <h2>
    <span class="replace-text">[Your site’s name]</span>: a new way to get
    <span class="replace-text">[city or county name]</span> fixed
  </h2>

  <div class="attention-box helpful-hint">
    <p>
      If you would like to send your press release before launch, to give
      journalists a little time to write their story, include an embargo
      date/time. That means they won’t publish anything until this date.
      Typically embargo times are given as 12:01am.
    </p>
  </div>
  <h3>
    EMBARGO: <span class="replace-text">[Date/time]</span>
  </h3>

  <div class="attention-box helpful-hint">
    <p>
      Include the URL of your FixMyStreet site, and any other URL that’s
      useful, eg your organisation’s website.
    </p>
  </div>
  <h3>
    LINK/S: <span class="replace-text">[URLs]</span>
  </h3>

  <div class="attention-box helpful-hint">
    <p>
      Your name and email address/phone number
    </p>
  </div>
  <h3>
    CONTACT: <span class="replace-text">[hello@example.org]</span>
  </h3>

  <div class="attention-box helpful-hint">
    <p>
      Three or four bullet points which summarise the main content of the press
      release. If you have a quote from a councillor or mayor, so much the
      better, but if not, it’s fine to quote yourself.
    </p>
  </div>
  <ul>
    <li>
      <span class="replace-text">[Name of site]</span> launches today
    </li>
  </ul>

  <div class="attention-box helpful-hint">
    <p>
      List the most common problems in your own country:
    </p>
  </div>
  <ul>
    <li>
      Now it’s simple for residents of <span class="replace-text">[city or
      county name]</span> to report potholes, broken pavements and other
      community problems
    </li>
  </ul>

  <ul>
    <li>
      “Let’s get <span class="replace-text">[name of city or county]</span>
      fixed”, says founder
    </li>
  </ul>

  <div class="attention-box helpful-hint">
    <p>
      This is the main body of your press release. Keep it fairly succinct:
      5&ndash;10 paragraphs of 1&ndash;2 sentences is plenty. You can, of
      course, alter the text to make it more appropriate to your country’s own
      circumstances.
    </p>
  </div>
  <p>
    <span class="replace-text">[Name of your site]</span>, a new and simple way
    for <span class="replace-text">[city or county name]</span> to report
    street faults, launches today.
  </p>
  <p>
    Most people know that it’s the council’s job to fix problems like potholes,
    dangerous pavements or broken street lights <span class="replace-text">[or
    substitute the common problems in that region]</span>. But reporting such
    problems can often be a difficult task. People don’t always know which
    council department to contact. Even if they do, they’re often faced with a
    lack of information online, or hard-to-navigate web forms.
  </p>
  <p>
    Now, a new website simplifies the process for people in <span
    class="replace-text">[city or county name]</span>.
  </p>
  <p>
    <span class="replace-text">[Name of your site]</span>, a project from <span
    class="replace-text">[your organisation]</span>, covers the whole of <span
    class="replace-text">[the country/name of city]</span>, using smart
    technology to send problems to the department responsible for getting them
    fixed.
  </p>
  <p>
    All the user has to do is put a pin in a map to show where the problem is,
    then add a few lines of text to describe the issue. Optionally, they can
    also add a photo.
  </p>
  <p>
    <span class="replace-text">[Name of site]</span> sends the issue to the
    right department of the council: the user doesn’t even have to know which
    jurisdiction they are in. From the council’s side, responding to the
    problem report is as simple as replying to any other email.
  </p>
  <p>
    <span class="replace-text">[Name of site]</span> also publishes all reports
    online, eventually building into a rich resource showing what the prevalent
    types of problem are in any area. Residents of <span
    class="replace-text">[city/county name]</span> have already reported issues
    such as <span class="replace-text">[list some existing reports, with
    links]</span>.
  </p>
  <p>
    The site uses the FixMyStreet Platform open source software, which has
    proven effective in the UK and across more than 20 other countries around
    the world.
  </p>
  <p>
    <span class="replace-text">[Your name]</span>, <span
    class="replace-text">[your job title or description]</span>, says, “<span
    class="replace-text">[add a quote here, perhaps mentioning the city or
    county]</span>”.
  </p>
  <p>
    <span class="replace-text">[Name of site]</span> is ready to send off your
    street fault reports: give it a try at <span
    class="replace-text">[URL]</span>.
  </p>

</div>
