---
layout: page
title: Promoting your FixMyStreet
author: myf
---

# How to promote your FixMyStreet site

So your site is up and running, emails are going off to the right places and
everything looks good. There’s just one more thing you need: some users.

When people think of the phrase ‘publicity campaign’, they may imagine
expensive TV advertisements, billboard posters and magazine spreads.

But there are plenty of ways to promote your site that cost nothing, or only a
little. In this guide, we will be looking at some of the most effective ways
you can publicise your site on a low budget.

Anyone can manage the actions we’re about to run through, and we promise they
will bring you more users.

## Things to do before you launch

### Four weeks before launch: make plans

Will you have a launch party or other event? Who will you invite? Do you need
printed materials? Now is the time to get everything in place.

*Launch parties are not vital, but if you have contacts in the media or local
government, they’re a good way to make a bit of a splash. They don’t have to be
expensive: all you need is a few snacks and a good presentation.*

### Three weeks before launch: start filling your site with content

When people start to visit your site, ideally it will already look like a
successful project that is getting problems fixed.

Consider asking your friends and family to start using it before your official
launch, so that there is plenty of activity on display.

Or invite your supporters to be ‘beta testers’, with early access to the site.
If you have a mailing list or newsletter, you can invite your subscribers. If
you prefer to keep your site protected until your launch, you can always share
the password with this small group of early users.

If all else fails, post some reports yourself!

### Two weeks before launch: gather media contact details

You’ll be sending announcements to the media, so you’ll need to gather the relevant email addresses before your launch date. 

There are often useful lists of these online - search for things like ‘press contact lists’ or ‘media contacts’. 

Otherwise, most publications provide a contact page. Put together a spreadsheet of addresses that you can use to send out your press releases when the time comes. Here’s what your spreadsheet might look like at this stage:

<table class="table promo-spreadsheet">
  <tr class="sheet-header">
    <th colspan="6">National press</th>
  </tr>
  <tr>
    <th>Name</th>
    <th>Contact</th>
    <th>Email address</th>
    <th>Did they write about us?</th>
    <th>Link to story</th>
    <th>Journalist’s name</th>
  </tr>
  <tr>
    <td>The National News</td>
    <td>James Bloggs</td>
    <td>newsdesk@nationalnews.com</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td>The Daily Blah</td>
    <td>Diana Penfold</td>
    <td>diana.penfold@thedailyblah.org</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td><em>add more here...</em></td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
  </tr>
  <tr class="sheet-header">
    <th colspan="6">Regional press</th>
  </tr>
  <tr>
    <th>Name</th>
    <th>Contact</th>
    <th>Email address</th>
    <th>Did they write about us?</th>
    <th>Link to story</th>
    <th>Journalist’s name</th>
  </tr>
  <tr>
    <td>Smallton Times</td>
    <td>William Whistler</td>
    <td>will@smalltontimes.co.uk</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td>Realville Mercury</td>
    <td>Editor</td>
    <td>editor@themercury.co.uk</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td><em>add more here...</em></td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
  </tr>
</table>

You can fill in the last three columns after launch.

### One week before launch: notify councils and local authorities (perhaps) 

Consider speaking to the authorities who will be receiving your reports —
especially those who do not already have a fault-reporting system online.

You will know best how your site is likely to be received by these authorities.
In the UK, we’ve had a variety of experiences, from a small number of councils
who don’t see the point, or dislike our service, to those who think it’s
wonderful.

Approach councils in the right way, and they may be glad to help you advertise
your site to their residents. In any case, it’s always good to build up
relationships with these bodies, because they can keep you updated about
changes of email addresses or the different departments reports should be sent
to.

## At launch

Your launch day has arrived! Time to get busy.

Hopefully, your period of beta-testing (or while your friends and family have
been using the site) will have helped you detect and solve any technical
issues, so when launch comes, you can dedicate yourself at least a couple of
days to promotion.

### 1. Tell the media

Newspapers and magazines, TV and radio shows — every time there’s a mention of
your new site, it will bring you users.

FixMyStreet has a great advantage when it comes to press coverage: the overall
concept is interesting to national media, while the local aspects of the site
appeal to regional media, too.

#### Press releases 

Send details of your launch to any outlet you think will cover it. Be clear and
concise: explain what the site is for and how it benefits users.

Not sure how to write a press release?
[We’ve provided a template here]({{ "/running/example_press_releases" | relative_url }}).

You may wish to send out two types of press release:

* A release for the national media, explaining that the site covers the whole
  country (if that’s the case) and that the great benefit for users is that
  they don’t need to know which council is responsible for which type of
  problem in which jurisdiction.

* A release for local press, pointing out that residents in their area can now
  make reports quickly and easily. You can copy and paste the name of the
  region into each one, so it seems especially relevant to them.

But be careful: when the team behind [FiksGataMi](http://fiksgatami.no), the
Norwegian FixMyStreet, sent press releases to every media outlet in the
country, it attracted so many users that their server was overwhelmed with
traffic!

You can avoid this with load testing, which makes sure that your servers can
cope with increased amounts of traffic, or simply by sending out your press
releases at intervals, over a period of time.

> **Pere**: We gathered the email address of every media outlet
> in Norway, and used this list to send press releases
> about the service. All local media, all national press,
> all tv stations, radio stations, technical magazine,
> everything.
>
> This overloaded the service after a few hours.
> FiksGataMi went down after 2-3 hours.
> I believe we sent the press release around 8:00  in the
> morning, it went down before 11:00, and came back online
> around 14:00.
>
> Quite a lot of local papers wrote about FiksGataMi, and
> suggested their readers used it to report problems. For
> example Adressavisa, the largest paper in the middle of
> Norway (Trondheim), published several stories over many
> days. This caused Trondheim municipality to get more
> requests than they could handle...

### 2. Local outreach

One of the most direct ways to publicise FixMyStreet is to take it out to the
people who will use it.

You can do this in your own local town — and if you have friends and supporters in other towns, you can ask them to put up posters or leave leaflets in public places for people to take.

> In the Maldives, the [MakeMyIsland](http://www.makemyisland.mv) ‘roadshow’
> handed out leaflets on the street, and explained the service to passers-by. 

<blockquote class="twitter-tweet" lang="en"><p lang="et" dir="ltr"><a href="https://twitter.com/hashtag/MakeMyIsland?src=hash">#MakeMyIsland</a> roadshow <a href="https://twitter.com/hashtag/hapsnau?src=hash">#hapsnau</a> in Hulhumale&#39; <a href="https://twitter.com/UNDPMaldives">@UNDPMaldives</a> <a href="https://twitter.com/InnovateAP">@InnovateAP</a> <a href="https://twitter.com/UNDPasiapac">@UNDPasiapac</a> <a href="https://twitter.com/mysociety">@mysociety</a> <a href="https://t.co/hqh6busDZr">pic.twitter.com/hqh6busDZr</a></p>&mdash; Nathu Wafir (@nathuwafir) <a href="https://twitter.com/nathuwafir/status/684358147914387456">January 5, 2016</a></blockquote>
<script async src="//platform.twitter.com/widgets.js" charset="utf-8"></script>

You could do the same: is there an area that is particularly notorious for
problems such as potholes or rubbish tipping, perhaps? That would be a good
place to chat to people.

Print up or photocopy a few leaflets. These can be very simple and direct, so
long as they explain the concept and include the URL. Here’s a postcard that
the UK FixMyStreet has used:

<a href="https://www.fixmystreet.com/about/posters"><img src="/assets/img/promote-90x130.png" alt="FixMyStreet postcard"></a>

The nice thing about postcards is that they can get your message out twice:
once to the person who picks it up, and once to the person they send it to.

Put up posters, anywhere people are likely to see them: on universities’ notice
boards, in shops and cafes, libraries... anywhere it’s allowed.

When you design your leaflets and posters, don’t include any content that will
date (eg mentioning that the site is new and has just launched), and you will
be able to use them at other events in the future.

## After launch

So, you told lots of people about your FixMyStreet site, and it got lots of
interest. That’s great.

But people have short memories, so it’s important to keep dedicating some time
to promoting your site.

You might not have the time or resources to do everything that’s suggested
below. Why not try a couple, and see how effective they are, then try another
couple later on, and compare? That way you can find out what works best, and
where to dedicate your time.

### Social media

Set up accounts on whichever social media is most used in your country: in the
UK, we have FixMyStreet accounts on Twitter and Facebook. You have the option
to set up links to your social media accounts in the site’s footer, report
pages, etc: you can
[read more about customising your FixMyStreet site here]({{ "/customising/" | relative_url }})
— or [contact us]({{ "/community/" | relative_url }}) if you need more help.

You’ll need to monitor your accounts daily, in case people ask you questions
that need a prompt reply. The easiest way is to set up your accounts so that
you automatically receive an email every time someone mentions you.

For Twitter, go to
[https://twitter.com/settings/notifications](https://twitter.com/settings/notifications)
to set your preferences for email alerts. 

<a href="https://twitter.com/settings/notifications"><img src="/assets/img/promo-twitter-screenshot.png" alt="Twitter settings screenshot" /></a>

And for Facebook, go to 
[https://www.facebook.com/settings?tab=notifications](https://www.facebook.com/settings?tab=notifications)
to set your preferences for alerts. Click on ‘pages you manage’ to find the
settings for your FixMyStreet page.

<a href="https://www.facebook.com/settings?tab=notifications"><img src="/assets/img/promo-facebook-screenshot.png" alt="Facebook notifications screenshot" /></a>

Use your social media accounts to send out regular messages to your followers.
You might:

* Link to your most interesting (or infuriating, or puzzling, or funny)
  reports. If they’re interesting enough, people will share them, helping you
  publicise your site even further.
* Answer your users’ questions about how the site works.
* Find people who are complaining about their local community, and tell them
  about your site.
* Generally promote your site with timely messages. In the UK, we talk about
  potholes in the colder months because that is when they tend to appear; and
  we remind people to report broken street lights when the clocks go back and
  people are walking home in the dark.
* Things tend to get fixed more just before the elections - a cynical view, but
  one that’s true. So this may be a great time to encourage people to make
  reports, and highlight those that have got things fixed.

#### Keep a blog 
Let users know what enhancements you’ve made, events you’ll be at, or just what you’ve been doing lately, with regular blog posts.

### Regular press releases

Don’t lose that spreadsheet of media contact addresses - you’re going to need
it again. In fact, make a note on it of which outlets wrote stories about your
site, and the details of the journalists who wrote the stories, so you can
contact them directly next time.

> **Pere**: To remind the press about our existence we’ve
> sent press releases about FiksGataMi on and off since the
> release.

Of course, you don’t want to irritate your press contacts with over-frequent press releases, but if you make sure that you have a good story to share, many will welcome your emails.

What makes a good story after launch?

* **Statistics**. Use the FixMyStreet dashboard or
  your Analytics programme to find out things like:
   * how many reports have been made? (Check `/stats` in
     your site’s admin dashboard for the overall count, or
     count for specific councils/within specific timeframes)

   * what are the most frequent types of report?
     (Difficult to be precise, but
     `/summary?show_categories=1#category-fix-rate`
     will give you a general idea)

   * which area is filing the most reports?
     (Check `/reports` on your live site, but do remember
      that if council areas are of different sizes or
      population densities, that also affects numbers)

   * which reports are the most people viewing?
     (Use your analytics programme, and filter to see URLs
     containing `report/`)
     
* **Unusual or funny reports**. You can use your Analytics programme to see
  which reports have been most-viewed: often they are the ones with the most
  human interest.

In the UK, one of our most-viewed reports was about a rare bird which had been
spotted after it escaped from its owner.

<a href="https://www.fixmystreet.com/report/242529"><img src="/assets/img/fms-unusual-bird-screenshot.jpg" alt="FixMyStreet screenshot: report 242529"></a>

The UK FixMyStreet site includes [this page](https://www.fixmystreet.com/about/fun).
You might like to include something similar: it’s great to point press towards,
so long as you keep it up to date.


* **Success stories** Check the reports that have been marked as fixed, to see
  if any of them has made a really big difference to a local community.
* **The local angle** Send local media summaries of the most common types of
  report in their own area, or the numbers of reports made.
* **Local radio** In the UK, we are often invited to speak on local radio when
  they are doing a feature about issues such as potholes or rubbish clearance.
  Normally, we just talk for five minutes, telling people about the site and
  what it does. If you have a radio network that covers all regions, contact
  them to let them know that you are available as a speaker, and you may be
  added to their list of people to include in such features.

#### Tell journalists to subscribe

You can tell local journalists about the alerts service on FixMyStreet. There
are links to instructions on setting up alerts on all map pages on the site, or
on `/alert`.

This functionality allows anyone to subscribe to their local area, so that they
get an email every time anyone makes a report within that neighbourhood. It’s
an effort-free way of staying up to date with the issues that concern their
readers, and also means the journalists can be the first to see any potential
stories.

> **Myf**: In the UK, we also spent a bit of time contacting very local
> publications, including parish newsletters and community magazines. Although
> each publication may only be read by a couple of hundred to a few thousand
> readers, they are really focused on their own neighbourhood, so the FixMyStreet
> message works well for them.
> 
> Because such publications tend to have few staff and not much time, we provided
> them with a ready-written news story and also some graphics, so all they had to
> do was drop them into their templates.

### Events

Get involved with events in your area — it’s a good way to meet potential
users. Or, for most of the types of event listed below, if you can’t attend,
you could send some leaflets and posters along and ask for them to be
distributed.

#### Community fairs, festivals, conferences and meetings

Ask if you can have a table. Take leaflets, and a smartphone, tablet or laptop
if you have internet access.

One very direct way to explain what FixMyStreet does is to invite people to
search the site and see the problems reported around their own home. Everyone
is interested to see what has been reported in their own community.

Then you can guide them through the process of making a report themselves.

Optionally, ask people for their email addresses so that you can sign them up
to a newsletter.

#### Set up your own events

Your local library, hall or co-working space may be glad to let you have a
room and internet access so that you can show residents how to use FixMyStreet.
Put up some posters and invite people to drop by for a fifteen-minute demo.

#### Clubs and societies

Certain types of societies’ members will be particularly interested in
FixMyStreet.

Are there any associations in your country who volunteer to keep the streets
clean, or do gardening in the local parks? Local history organisations tend to
be full of people who also have an interest in keeping the community to a good
standard! Consider women’s groups, local co-operatives, church societies… and
any other groups with a stake in their community.

> In the UK, we provided special downloadable ‘packs’ for clubs and societies:
> see the Community Group pack on <a href="https://www.fixmystreet.com/about/posters">this page</a>.

<a href="https://www.fixmystreet.com/about/posters"><img src="/assets/img/promo-community-pack-screenshot.png" alt="FixMyStreet posters screenshot"></a>

#### Internet-related conferences and hackdays

FixMyStreet is for everyone to use, not just those with technical skills — but
you may find that some of your strongest supporters come from the coder
community. Because the code is open source, developers can use it to develop
their own tools, too. Perhaps they will contribute some improvements to the
main codebase.

### Newsletter

You might have a newsletter that goes out to all supporters of your
organisation, or one that’s specific to your FixMyStreet site. Either way, send
regular messages. If you are doing some or all of the activities listed above -
events, blog posts, news stories - you will already have content for your
newsletter; you’ll just need to link to it.

Make sure you invite users to sign up to your newsletter. Check our
[documentation on customising your site]({{ "/customising/" | relative_url }}),
or mySociety can help you include a message about the newsletter at various
key points, like:

* in your email alerts
* at the point when people have completed making a report
* in the footer of your site


### Word of mouth

Word of mouth is an effective way of getting your site known — and it’s free.
But generally, people won’t talk about your site unless you explicitly ask them
to.

In the UK, we created [this page](https://www.fixmystreet.com/about/posters),
with downloads of resources that help people spread the word about FixMyStreet.
They can print out posters and flyers, and there are templates for news stories
they can send to local magazines or newsletters. There are even activities for
school children and Girl Guides, Scouts, Cubs and Brownies. Feel free to copy
anything from that page and adapt it for your own site/culture/language.

You may also wish to send this same message - “Please tell your friends about
this site” - via your email alerts, your newsletter, social media, and when you
meet users face to face. You can never ask enough!

> **Myf**: In the UK, we took this idea one step further. We
> identified some of our site’s most prolific report-makers,
> and emailed them to congratulate them for being
> “FixMyStreet SuperUsers”.
> 
> We offered to send them a tote bag and stickers which we’d
> printed up with the FixMyStreet logo, as a way of saying
> thank you — and we also sent them a large stack of
> promotional postcards, asking them to leave these in spots
> around their local town.
> 
> These people were obviously already predisposed to feel
> positive about FixMyStreet, so they gladly performed what
> was, however you look at it, a task that benefited us more
> than them.

<img src="/assets/img/promo-superuser-screenshot.png" alt="FixMyStreet superuser notice screenshot"/>

Of course, the nice thing about a bright bag is that it also helps promote the
site as its owner carries it around. Some recipients even photographed their
bag and put them on Twitter and Instagram!

### Online advertising

If your organisation is a registered charity, and if you operate in one of the
eligible countries, you can apply for free Google Adwords advertising worth up
to US $40,000 per year. [Find out more here](https://www.google.co.uk/intl/en/grants/).

mySociety can help you with setting up your account, if required, once you have
got the grant.

### Share your experiences

If you’ve tried any of these ideas, let us know how it went. What did you
learn? Any tips for others who are about to launch their own FixMyStreet sites?

Maybe you have some more ideas, or can tell us how you promoted your own site.
Please share your thoughts and stories on the
[FixMyStreet mailing list](https://groups.google.com/a/mysociety.org/forum/#!forum/fixmystreet),
so that everyone can benefit from your knowledge.

