---
layout: page
title: FixMyStreet training - citizens
author: dave
---

Training notes for citizens
=============================

<p class="lead">
  These notes may serve as a basis for training people new to the FixMyStreet
  platform. They might be helpful if you&rsquo;re setting up a new site or team.
</p>
<div class="attention-box helpful-hint">
  <p>
    Basic training notes like these are available for
    <br>
    <a href="{{ "/training/citizens" | relative_url }}">citizens</a>,
    <a href="{{ "/training/staff" | relative_url }}">staff users</a>, and
    <a href="{{ "/training/admins" | relative_url }}">administrators</a>.
  </p>
  <p>
    Refer to the <a href="{{ "/overview" | relative_url }}">full documentation</a>
    for more detailed information!
  </p>
</div>

Remember that every FixMyStreet installation is different, and can both
look and behave differently, depending on how it has been 
[customised]({{ "/customising/" | relative_url }}).

<!-- magically present as slideshow, slides split on h2 or h3 -->
<a name class="play-as-slideshow"></a>

---

## Why use MakeMyIsland?

You have a problem in the street (for example, a streetlight is broken).
Here's why you should report it on MakeMyIsland.

* **it's helpful**
  <br>
  problems can't be fixed until someone knows about them!
* **even if you don't know who to tell**
  <br>
  because MakeMyIsland will pass it on to the right people  
* **it's quick**
  <br>
  click on the map, describe the problem, send it
* **avoids duplicates**
  <br>
  if there's already a pin on the map, you know it's already been reported
* **everyone knows when it's fixed**
  <br>
  when it's marked as _fixed_ you receive an email letting you know

Over time, the community gets a public record of where the problems
were, and how busy everyone has been fixing them.

## How to report a problem

This example starts at the home page, that is, the front of the site. You can
click on "Report a problem" anywhere on the site to get started.

## Enter location...

![front page]({{ "/assets/img/training/mmi-01-front-page.png" | relative_url }})


## Start with a general location

* **enter a nearby street name or area**
  <br>
  If MakeMyIsland isn't sure where you meant, it will offer choices

* or **use your current location**
  <br>
  if your device supports that

## Click on the map...

![click on map]({{ "/assets/img/training/mmi-02-click-on-map.png" | relative_url }})

## Click the map (a pin appears!)

* **click on the map exactly where the problem is**
  <br>
  You can zoom the map. After you've clicked on the map, if the
  pin isn't in the right place, you can drag it to reposition it...
  or just click again.


## Enter details...

![enter details]({{ "/assets/img/training/mmi-03-enter-details.png" | relative_url }})

## Enter details

* **enter a one-line summary of the problem**
  <br>
  this is used as the summary when the problem is shown in lists

* **type in a description of the problem**
  <br>
  What's wrong? Has it been like it long?
  
* **choose a category**
  <br>
  the site uses the precise location and the category to decide
  to whom your report will be sent

* **attach a photo if you want**

## Enter your _own_ details

![enter user details]({{ "/assets/img/training/mmi-04-user-details.png" | relative_url }})

## Provide your email address

* **enter your email address**
  <br>
  Because that's what MakeMyIsland uses to identify you

Some versions of FixMyStreet use other ways to identify you too,
so you might be able to login with Facebook, for example.

## Got a password?

If you've signed into MakeMyIsland before, and you've got a
password:

* **enter your password**

* **click _Submit_**

## No password? Click in email link

If you haven't signed in before and set a password;

* **enter your name**

* **check or uncheck "show my name publicly"**
  <br>
  You name is sent, with your message, to the body along
  with your report, but it won't be shown on the report's
  web page unless you want it to be 

* **click _Submit_**

* **look in your email inbox**
  <br>
  MakeMyIsland has sent you an email: click on the "confirmation
  link" in it, so MakeMyIsland knows you really are the
  person who uses that email address


## The report has been submitted

* **you can see it on the website**
  <br>
  it has a simple URL that won't change, so you can
  use it to share your report

* **it gets sent to the right authority**
  <br>
  the report will be emailed to the public body responsible for fixing
  it in a few moments

In fact, reports are rounded up and sent every five minutes. And in
some implementations of FixMyStreet, the problems are put directly into
the authorities' "problem database" instead of emailing... but it works
the same for you, either way.

## When did a report get sent?

You can see this on the public site:

![sent yet?]({{ "/assets/img/training/mmi-18-show-when-sent.png" | relative_url }})

* **the report has not been sent yet** if there's no "Sent to..." sentence 

* **it's normal for a report to not go immediately when it is submitted**
  <br>
  usually, all reports are rounded up and sent every 5 minutes

## Add an update...

![add an update]({{ "/assets/img/training/mmi-05-update.png" | relative_url }})


## Add an update to a report

Later, you can add an update to a report:

* **any report (not just yours!)**
  <br>
  To get to a report, click on the pin and **Details**,
  or (if it's in a list) click on its name
  
* **you can mark the problem as _Fixed_**
  <br>
  or mark it as "not fixed" if it's wrongly already marked as "fixed"

## Report an offensive report

If you find a report that you think should not be displayed (for example,
it contains offensive language or an inappropriate photograph):

* **click on _Report abuse_ on the report**

The administrators will be alerted and can hide the report.

## The "report abuse" link

![report abuse]({{ "/assets/img/training/mmi-06-report-abuse.png" | relative_url }})


## Find problems nearby

If you're looking at a problem report...

* **click on _Problems nearby_**
  <br>
  to see all pins stuck in the map where other problems
  have been reported near this one

## Ask to be notified...

![the get-updates link]({{ "/assets/img/training/mmi-07-get-updates-link.png" | relative_url }})

## Get email updates

You can ask MakeMyIsland to email you whenever:

* **problem reports are submitted near a place you're interested in**

* **a particular problem gets an update**
  <br>
  any problem report _you_ create is automatically one of these
  
Click on **Get updates** or **Local alerts** to set this up.

MakeMyIsland also makes alerts available with RSS, which is useful
for programmers/other apps.

## Getting updates...

![get updates]({{ "/assets/img/training/mmi-08-get-updates.png" | relative_url }})


## Use your account

If you set a password, you can login when you use MakeMyIsland.
When you are logged in:

* **you don't keep getting confirmation email links**
  <br>
  because the site already knows who you are

* **you can see all your reports on one page**
  <br>
  Click on **Your reports**

* **sign out any time by clicking on... _Sign out_**

## Signing in...

![sign in screen]({{ "/assets/img/training/mmi-09-login.png" | relative_url }})

## Your reports

![your reports]({{ "/assets/img/training/mmi-12-your-reports.png" | relative_url }})

## Share what you've done!

* **every report has a simple URL that never changes**
  <br>
  for example `www.fixmystreet.com/report/12345`

* **you can share that link!**
  <br>
  when a problem gets fixed, let your friends know: you got something fixed!


## Sign out if anyone else might use the same device

* **click on _Sign out_**
  <br>
  it always appears somewhere near the top of the screen when you're logged in

![sign out]({{ "/assets/img/training/mmi-17-logout.png" | relative_url }})





