---
layout: page
title: FixMyStreet training - staff users
author: dave
---


Training notes for new staff users
=============================

<p class="lead">
  These notes may serve as a basis for training people new to the FixMyStreet
  platform. They might be helpful if you&rsquo;re setting up a new site or team.
</p>
<div class="attention-box helpful-hint">
  <p>
    Basic training notes like these are available for
    <br>
    <a href="{{ "/training/citizens" | relative_url }}">citizens</a>,
    <a href="{{ "/training/staff" | relative_url }}">staff</a>, and
    <a href="{{ "/training/admins" | relative_url }}">administrators</a>.
  </p>
  <p>
    Refer to the <a href="{{ "/overview" | relative_url }}">full documentation</a>
    for more detailed information!
  </p>
</div>

Remember that every FixMyStreet installation is different, and can both
look and behave differently, depending on how it has been 
[customised]({{ "/customising/" | relative_url }}).


<!-- magically present as slideshow, slides split on h2 or h3 -->
<a name class="play-as-slideshow"></a>

---

## If you're a staff user... you work for a "body"

That means MakeMyIsland is sending problem reports to you (or
the body you represent).
Normally this means by email.

* **citizens interact with the MakeMyIsland website**
  <br>
  (because it's easy)

* **MakeMyIsland sends emails to the body you represent**
  <br>
  with the details of the problem from them

* **the emails come in with `Reply-To` set to the _citizen's_ email address**
  <br>
  so if you **reply**, your email goes to the citizen

* **you can _sign in_ to the MakeMyIsland website to mark problems as _fixed_**
  <br>
  ...or add updates, or set them to states other than _fixed_

## Problems reported _on behalf_ of someone else

Be careful: in some places, citizens send their problems to the
MakeMyIsland staff (for example, by SMS) who submit the problem
on their behalf.

<div class="attention-box warning">
  In this case, replying to the email will go to the staff.
  <br>
  It will <strong>not</strong> automatically go to the original reporter.
</div>

OK... so it's not a big problem, but bear it in mind if you think your replies
keep going to the same person.

## What is a staff user?

A staff user is the same as a normal MakeMyIsland user except

* **your account is linked with a _body_**
  <br>
  for example, you work for a council or city department
  
<div class="attention-box helpful-hint">
  so everything you can do as a normal user, you can do as
  a staff user... with a few extra powers!
</div>

* **your extra powers only apply to problem reports submitted**
  **to the body you're linked to**

## How to create an account

You can sign up to MakeMyIsland just using your email, but you'll
need an administrator to convert your account to a *staff account*.

* **create an account the usual way**
  <br>
  use your email and add a password

* **you can do this without submitting a problem report**
  <br>
  just click on **Your reports**

* **then ask an administrator to link your email address with the body**
  <br>
  be sure to tell them _which_ body

## Signing up

![sign in screen]({{ "/assets/img/training/mmi-09-login.png" | relative_url }})

## How to log in

* **click on _Your reports_ to get a login form**
  <br>
  unless you're already logged in, of course!

* **you'll need your _email address_ and your _password_**

Because your email address (and hence your account) is linked with
the body you represent, MakeMyIsland knows you're a staff user.

## Basic problem report process

Here's a reminder of the normal lifecycle of a problem report:

1. citizen submits problem
2. ...and then confirms it
3. MakeMyIsland sends problem to body
4. people update the report
5. the body responsible (**you?**) marks it as fixed


## Update a report

Anyone can update a report. But it's especially helpful if
the body responsible for it does this. That's where you come
in!

* **update the report by leaving a comment in the normal way**
  <br>
  you can add a photo too

* **make sure you've set the account name correctly**
  <br>
  for example, use "John Example of the City Council" if
  that's who you work for, or even "City Council" if you
  share the login with your colleagues

### Add an update...

![add an update]({{ "/assets/img/training/mmi-05-update.png" | relative_url }})

## Change a report's state

When you're logged in with a staff account, you can

* **change the state of a problem report**
  <br>
  normal users can only choose between two states:
  <br>
  _fixed_ or _not&nbsp;fixed_...
  <br>
  that is, they just get a checkbox
  
* **you can choose from more detailed states!**
  <br>
  you get a drop-down menu:
  <br>
  _Investigating_, _Action scheduled_, _Unable to fix_
  and so on

### More states available to a staff user

![staff states]({{ "/assets/img/training/mmi-15-staff-states.png" | relative_url }})

## This is what a fixed problem looks like

The problem report has a green tag marked "fixed"!

![it is fixed]({{ "/assets/img/training/mmi-16-woo-it-is-fixed.png" | relative_url }})

## Hiding reports

Normal users see a _Report abuse_ link at the bottom of every report, so they
can report a problem report if it contains offensive or inappropriate material.

* _If you're logged in with a staff account_, that link automatically
  becomes a **Remove from site** link.

* **click _Remove from site_ to take it off the site**
  <br>
  this doesn't prevent the report from being sent, so everything still works

## The "remove from site" link

![remove from site]({{ "/assets/img/training/mmi-13-staff-remove-from-site.png" | relative_url }})

## View all reports for your body

Any users can do this, but it's especially useful for you if you want to
see all the reports on a map.

* **click on _All reports_ in the menu bar**

## View the dashboard

* **there's a dashboard showing a summary of report statistics for your body**
  <br>
  see `/dashboard`

This only displays something if you are logged in with a staff account.


## Submit new problem reports as staff user?

* can you **submit new problem reports while logged in with your staff account?**

* **sure!**

You can create a personal account too if you want, but there's no reason
why you can't report problems for your own staff to fix.

People are happy to know you're reporting problems when you find them.

### Sign out if anyone else might use the same device

* **click on _Sign out_**
  <br>
  it always appears somewhere near the top of the screen when you're signed in
  
* be extra careful: **do not to leave a staff account logged in!**
  
![sign out]({{ "/assets/img/training/mmi-17-logout.png" | relative_url }})


<!--
## Moderating reports
-->

