---
layout: wasteworks
title: What is WasteWorks
order: 1
user-guide: true
category: user-guide
---

# What is WasteWorks?

WasteWorks is a user-centred front-end residential waste service designed in collaboration with Bromley Council for local authorities.

The solution simplifies access to all aspects of waste online, bringing everything together to improve the user experience and reduce unnecessary contact to the council.

<img alt="WasteWorks product image" src="/assets/img/ww-user-guide/WasteWorks-product-graphic.png" class="admin-screenshot" />

## History and background

Launched in 2021, its intuitive, self-service-style workflow is based upon FixMyStreet Pro, SocietyWorks’ original, well-loved reporting service for street, highways and environment issues, which launched in 2012.

Being a long-term user of FixMyStreet Pro, Bromley Council shared our desire to bring the usability of FixMyStreet Pro to waste services, wanting to provide residents with an easier way to make waste-related reports, requests and payments all from one place.

Similarly to FixMyStreet Pro, WasteWorks integrates with in-cab systems, facilitating a two-way flow of data between council and resident, as well as helping to streamline processes without adding any complexity for residents.

WasteWorks was shortlisted for an LGC Award within its first year of launch.

## WasteWorks features for residents

- Check bin days
- Report missed bins
- Report other problems with collections
- Request new or extra containers
- Pay for a bulky or green waste collection or subscription
- Renew or cancel subscriptions

## WasteWorks features for councils

- Take reports and requests for all resident-facing waste services across domestic, bulky and green waste, including assisted collections
- Take payments/direct debits for green or bulky waste subscriptions
- API integration with all major in-cab systems and payment providers
- Define time-based reporting windows to limit citizen reporting
- Keep citizens informed on their waste service with updates
- Adjust messaging within templated responses to improve communication
- Case management for customer services, with a CRM workflow
- Track contractor service levels and identify trends with dashboards and heatmap
- Single sign-on integration

## Why councils love WasteWorks

- Reduces the burden on customer service teams through integrations
- Manage expectations with templated responses and automatic updates
- Take payments online directly without interrupting the service workflow
- Streamline the customer journey by keeping everything under one roof
- Optimised for desktop or mobile devices, with offline support
- User-centred, co-designed approach, enabling you to grow with the service
- Customer services can create reports and set up subscriptions for citizens
- Facilitates legacy software removal and helps you to go paper-free
- Improve transparency and council reputation
- Helps to achieve lower operating costs through channel shift
- Meets the W3C Web Content Accessibility Guidelines

## Built around you

When you adopt WasteWorks, you’re not just implementing a cut and paste product.

First, we’ll take the time to understand yours and your residents’ needs. Then, we’ll work together to install the service that’s right for you, complete with integration into any and all lines of business you require.

Long after installation, we’ll continue to collaborate with you on WasteWorks’ continuous development roadmap.

## Want to learn more?

Get in touch to request a live one-to-one demo of WasteWorks and find out more about how the service could work for you.
