---
layout: wasteworks
title: The resident’s experience
order: 2
user-guide: true
---

# The resident’s experience

Before we can fully explore WasteWorks’ features for council staff, it’s important to understand how it works from the resident’s point of view.

Below is a brief summary of each of WasteWorks’ resident-facing features.

## Important notice

There may be small differences in how WasteWorks functions for different councils, depending on the integrations you have selected, and the individual processes reflected in your workflow. This manual provides a **general overview** of how WasteWorks works, but may not directly reflect your unique set up.

### Checking your bin day

WasteWorks’ start page invites the resident to search for the location of their property by entering a postcode. They can then select an address from the dropdown menu. Once selected, WasteWorks will display all existing collections and the information attached to them.

<img alt="Checking your bin day" src="/assets/img/ww-user-guide/WasteWorks-checking-bin-day-resident-experience.png" class="admin-screenshot" />

### Downloading your bin schedule

Bin day collection schedules can be downloaded from the site by selecting ‘Download your collection schedule’ from the menu on the right-hand side. Residents can also add schedules to their calendar.

<img alt="Downloading your bin schedule" src="/assets/img/ww-user-guide/WasteWorks-download-bin-collection-schedule-resident-experience.png" class="admin-screenshot" />

### Requesting a new bin

From the main ‘Your bin days’ page, residents can select ‘Request a new container’ from the ‘More services’ menu. They can also find a link to request a new container beneath each available bin collection listed on the main page.

<img alt="Requesting a new bin" src="/assets/img/ww-user-guide/WasteWorks-request-new-container-resident-experience.png" class="admin-screenshot" />

They can then select the type of container they want to request and how many they need.

<img alt="Select container" src="/assets/img/ww-user-guide/WasteWorks-select-container-resident-experience.png" class="admin-screenshot" />

They will then be asked for some basic information before being able to submit the request.

### Reporting a missed collection

To report a missed collection, from the main ‘Your bin days’ page the resident will be asked to select the bin in question and provide their contact details so that updates can be provided. They can also find a link to report a missed collection beneath each available bin collection listed on the main page.

<img alt="Report a missed collection" src="/assets/img/ww-user-guide/WasteWorks-report-missed-collection.png" class="admin-screenshot" />

They will then be able to review the information they have provided before submitting the report.

### Subscribing to a bulky or green waste collection

From the main ‘Your bin days’ page, residents can select a subscription option (eg bulky or green garden waste) from the ‘More services’ menu.

<img alt="Subscribe to collections" src="/assets/img/ww-user-guide/WasteWorks-subscribe-to-waste-collections.png" class="admin-screenshot" />

After a summary of subscription information, the resident will be able to say whether they already have any bins and how many collections to which they would like to subscribe.

<img alt="Subscription bin info" src="/assets/img/ww-user-guide/WasteWorks-subscription-bin-info.png" class="admin-screenshot" />

If you have enabled more than one payment method, the resident will be able to select their preference and input their contact details.

<img alt="Choose your subscription payment option" src="/assets/img/ww-user-guide/WasteWorks-subscription-payment.png" class="admin-screenshot" />

The resident will then be shown a summary of the subscription details before continuing to payment, which will be facilitated by whichever payment provider you use.

<img alt="Subscription summary" src="/assets/img/ww-user-guide/WasteWorks-subscription-summary.png" class="admin-screenshot" />

The resident will be redirected to your chosen payment provider as part of the WasteWorks workflow.

**The process for setting up, renewing or cancelling subscriptions for users will differ depending on the payment provider you are using.**

### Renewing a subscription

From the main ‘Your bin days’ page, residents will be able to see details of their subscriptions, and alerts for upcoming renewals.

<img alt="Subscription renewal" src="/assets/img/ww-user-guide/WasteWorks-subscription-renewal.png" class="admin-screenshot" />

Residents can select ‘Renew subscription’, then select the number of bins currently subscribed for collections and the number they want to renew. A summary of costs will then be provided.

They will then be asked for some basic information before being able to pay for the renewal, which will be facilitated by whichever payment provider you use. They will be able to review all the details before paying.

The resident will be redirected to your chosen payment provider as part of the WasteWorks workflow.

**The process for setting up, renewing or cancelling subscriptions for users will differ depending on the payment provider you are using.**

### Cancelling a subscription

From the main ‘Your bin days’ page, residents can locate their subscriptions and cancel them accordingly.

**The process for setting up, renewing or cancelling subscriptions for users will differ depending on the payment provider you are using.**

### Reporting a problem

Residents can report a number of problems with a collection, such as staff conduct, damage to vehicles or the location the container was left.

WasteWorks will ask the resident to select which collection they would like to report, and then choose from a list of problems. They can then provide more detail on the problem, supply contact details for how they would like to be contacted, and review the information before submitting.

<img alt="Report a problem" src="/assets/img/ww-user-guide/WasteWorks-report-problem-with-collection.png" class="admin-screenshot" />

