---
layout: wasteworks
title: Staff user accounts
order: 3
user-guide: true
---

# WasteWorks staff user accounts

This section of the manual is designed to help you understand how staff accounts work on WasteWorks.

### Important notice:
There may be small differences in how WasteWorks functions for different councils, depending on the integrations you have selected, and the individual processes reflected in your workflow. This manual provides a **general overview** of how WasteWorks works, but may not directly reflect your unique set up.

## Logging in

Council staff accounts are managed by Administrator-level users.

Contact your Administrator/s if you encounter any problems logging in, or any other aspect of account management.

### How to log in

Go to your council’s WasteWorks  installation, click on ‘sign in’ and enter your council email address.

You’ll be invited to enter your password if you already have one. If not, go to ‘No, let me sign in by email’.

Decide on a password and enter it in the password box, then click ‘sign in’. A confirmation email will be sent to the email address you provided.

### Password security

Your password must contain 6 or more characters, and must not be one of the most commonly used combinations (such as ‘Password’ or ‘123456’). Your council may also have password policies which you are expected to abide by.

### Two-factor authentication

Any staff user can choose to set up two-factor authentication on their account. To do this, they will need an app on their phone that can generate time-based authentication keys, such as Google Authenticator or a password manager. Then they can visit their account page on the site and select ‘Activate two-factor authentication’ to receive a QR code to scan with the app.

If you wish your organisation to have mandated two-factor authentication, please get in touch via the helpdesk.

### How to log out

Click on ‘Your account’ in the top menu, then click ‘Sign out’. If you are using a device or computer that is shared with others, we advise always logging out at the end of your session.

## Changing your password

You can change your password at any time by clicking on ‘Your account’ in the top menu bar.

## Permissions and Roles

Staff accounts can be assigned a variety of permissions or roles, depending on each team member’s needs or responsibilities.

Roles and permissions can differ vastly between installations of WasteWorks because different councils use the solution in different ways.

Permissions can be combined in any way, grouped into custom roles, or applied individually. You can tailor your permissions and roles to best reflect your team’s operations.

## Further help

- If you’re a member of council staff using WasteWorks, questions about your account, role or permissions should be addressed to your Administrator.
- For any technical problems and queries, Administrators may contact the SocietyWorks team by raising a ticket through the helpdesk system.

